Bug 1082211 - suspend/resume triggers Machine Check Event on Lenovo Yoga 2 pro
Summary: suspend/resume triggers Machine Check Event on Lenovo Yoga 2 pro
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-29 06:42 UTC by D. Hugh Redelmeier
Modified: 2019-08-21 02:20 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:19:58 UTC


Attachments (Terms of Use)
mce log from ABRT's "backtrace" file (1.35 KB, text/plain)
2014-03-29 06:42 UTC, D. Hugh Redelmeier
no flags Details
ABRT's proc_modules (5.92 KB, text/plain)
2014-03-29 06:46 UTC, D. Hugh Redelmeier
no flags Details
dmesg output captured by ABRT (114.24 KB, text/plain)
2014-03-29 16:08 UTC, D. Hugh Redelmeier
no flags Details

Description D. Hugh Redelmeier 2014-03-29 06:42:56 UTC
Created attachment 880062 [details]
mce log from ABRT's "backtrace" file

Description of problem:
When I resume after a suspend on my Lenovo Yoga 2 pro, ABRT reports an unreportable Machine Check Event.


Version-Release number of selected component (if applicable):
Has happened with several kernels.  Currently, 3.13.6-200.fc20.x86_64.

How reproducible:
Often, but not every time.

Steps to Reproduce:
1.suspend
2.awaken


Actual results:
ABRT pops up.  Says that this "cannot be reported".

Expected results:
no ABRT

Additional info:
This is not limited to my particular Yoga 2 pro.  If you look at comment #9 https://bugzilla.redhat.com/show_bug.cgi?id=1036810#c9 you will see another: dhardy's machine does this too.

I've attached output from mcelog that I found in .cache/abrt/spool/oops.../backtrace.  From the datestamps, it appears to be one and a bit events.

Comment 1 D. Hugh Redelmeier 2014-03-29 06:46:46 UTC
Created attachment 880074 [details]
ABRT's proc_modules

In case the problem lies in some module.

Comment 2 D. Hugh Redelmeier 2014-03-29 07:20:40 UTC
Here's a problem report that MIGHT be related:

http://forums.fedoraforum.org/showthread.php?t=297456

http://h30434.www3.hp.com/t5/Notebook-Hardware/HP-Pavilion-Laptop-Machine-Check-Error-on-Linux-when-Waking/m-p/3589867/highlight/false#M121333

Maybe also this Ubuntu report:

http://ubuntuforums.org/showthread.php?t=2189035&page=3&p=12876018#post12876018

(Possible common factor: the notebook in this second report and my Yoga 2 pro have Intel Wireless N 7260 cards that only started working with the latest firmware.  I don't know about the computer in the first report.)

Comment 3 Gareth Williams 2014-03-29 07:58:08 UTC
I have a similar issue (I raised the HP issue in comment #2 above).  My problem is on a HP Pavilion with an Intel i5 CPU but not the Intel Wireless N7260 card.  The laptop came with a horrible Realtek item which was quite temperamental.  I've had a different Intel wireless card and now an Atheros 9K card and all seem to show the MCE error in the log.

Comment 4 D. Hugh Redelmeier 2014-03-29 16:08:54 UTC
Created attachment 880194 [details]
dmesg output captured by ABRT

Comment 5 Justin M. Forbes 2014-05-21 19:40:38 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2014-06-23 14:49:21 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 7 Orion Poplawski 2014-11-25 18:13:31 UTC
Still happening with 3.17.3-300.fc21.x86_64

# journalctl -b -u mcelog
-- Logs begin at Fri 2014-11-21 17:05:25 MST, end at Tue 2014-11-25 11:08:13 MST. --
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: Hardware event. This is not a software error.
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: MCE 0
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: CPU 0 BANK 6
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: MISC 38a0000086 ADDR ffb07640
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: TIME 1416934657 Tue Nov 25 09:57:37 2014
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: MCG status:
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: MCi status:
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: Uncorrected error
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: MCi_MISC register valid
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: MCi_ADDR register valid
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: Processor context corrupt
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: MCA: corrected filtering (some unreported errors i
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: Generic CACHE Level-2 Generic Error
Nov 25 09:57:40 moa.cora.nwra.com mcelog[553]: STATUS ae0000000040110a MCGSTATUS 0

Comment 8 Fedora Kernel Team 2015-02-24 16:23:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 9 Orion Poplawski 2015-02-24 16:35:13 UTC
I still see it with 3.18.7-200.fc21.x86_64, can't speak to F20.

Comment 10 D. Hugh Redelmeier 2015-02-24 16:44:22 UTC
I saw it wit F20 and I see it with F21.

Comment 11 e.greg.bx 2015-04-11 20:05:02 UTC
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCG status:
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCi status:
Apr 11 21:35:42 localhost.localdomain mcelog[862]: Uncorrected error
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCi_MISC register valid
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCi_ADDR register valid
Apr 11 21:35:42 localhost.localdomain mcelog[862]: Processor context corrupt
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCA: corrected filtering (some unreported errors in same region)
Apr 11 21:35:42 localhost.localdomain mcelog[862]: Generic CACHE Level-2 Generic Error
Apr 11 21:35:42 localhost.localdomain mcelog[862]: STATUS ae0000000040110a MCGSTATUS 0
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCGCAP c07 APICID 0 SOCKETID 0
Apr 11 21:35:42 localhost.localdomain mcelog[862]: CPUID Vendor Intel Family 6 Model 69
Apr 11 21:45:23 localhost.localdomain mcelog[862]: Hardware event. This is not a software error.
Apr 11 21:45:23 localhost.localdomain mcelog[862]: MCE 0
Apr 11 21:45:23 localhost.localdomain mcelog[862]: CPU 0 BANK 5
Apr 11 21:45:23 localhost.localdomain mcelog[862]: MISC f8a0000086 ADDR ffb03900

Comment 12 e.greg.bx 2015-04-11 20:05:32 UTC
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCG status:
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCi status:
Apr 11 21:35:42 localhost.localdomain mcelog[862]: Uncorrected error
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCi_MISC register valid
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCi_ADDR register valid
Apr 11 21:35:42 localhost.localdomain mcelog[862]: Processor context corrupt
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCA: corrected filtering (some unreported errors in same region)
Apr 11 21:35:42 localhost.localdomain mcelog[862]: Generic CACHE Level-2 Generic Error
Apr 11 21:35:42 localhost.localdomain mcelog[862]: STATUS ae0000000040110a MCGSTATUS 0
Apr 11 21:35:42 localhost.localdomain mcelog[862]: MCGCAP c07 APICID 0 SOCKETID 0
Apr 11 21:35:42 localhost.localdomain mcelog[862]: CPUID Vendor Intel Family 6 Model 69
Apr 11 21:45:23 localhost.localdomain mcelog[862]: Hardware event. This is not a software error.
Apr 11 21:45:23 localhost.localdomain mcelog[862]: MCE 0
Apr 11 21:45:23 localhost.localdomain mcelog[862]: CPU 0 BANK 5
Apr 11 21:45:23 localhost.localdomain mcelog[862]: MISC f8a0000086 ADDR ffb03900

Comment 13 Fedora Kernel Team 2015-04-28 18:34:19 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 14 Artem Hluvchynskyi 2015-05-27 16:52:38 UTC
Happens with Fedora 22 and kernel 4.0.4. On every resume from suspend to RAM. My laptop is Acer Aspire VN7-591G.

Might be related to not being able to resume sometimes. I haven't hit this on F22 yet but happened on F21 after several suspend-resume cycles.

Comment 15 Peter F. Patel-Schneider 2015-06-09 13:06:55 UTC
I also have the same problem on my Yoga 2 Pro.  At least the system log is extraordinarily similar.

I am running Fedora 21 with vmlinuz-4.0.4-202.fc21.x86_64.  It also appears that the problem only occurs on resume from suspend.

Comment 16 Tim Waugh 2015-08-23 16:47:43 UTC
I see this too, running kernel-4.1.5-200.fc22.x86_64 on a Lenovo B50-70. Happens every time I suspend and resume. I tried disabling legacy USB and Wireless LAN in the BIOS, and it made no difference.

Comment 17 kidonchu 2015-09-15 23:18:29 UTC
I am experiencing this problem as well on Lenovo Y50-70, kernel 4.1.6-201.fc22.x86_64. Exactly same behavior as described in the original post.

Comment 18 Justin M. Forbes 2015-10-20 19:40:58 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 19 Peter F. Patel-Schneider 2015-11-10 19:46:44 UTC
This is still happening with Fedora 23, kernel 4.2.5-300.fc23.x86_64

The information seen on the system log is still the same.

I don't think that I can change the version.

Comment 20 Jan Rybář 2016-05-13 19:12:30 UTC
Issue observed on ultrabook Lenovo Ideapad U430p, i5 4200U CPU.

The last 20 mcelog lines of system log are:
==========================================
May 13 20:21:05 localhost mcelog: STATUS ee0000000040110a MCGSTATUS 0
May 13 20:21:05 localhost mcelog: MCGCAP c07 APICID 0 SOCKETID 0
May 13 20:21:05 localhost mcelog: CPUID Vendor Intel Family 6 Model 69
May 13 20:21:05 localhost mcelog: Hardware event. This is not a software error.
May 13 20:21:05 localhost mcelog: MCE 1
May 13 20:21:05 localhost mcelog: CPU 0 BANK 6
May 13 20:21:05 localhost mcelog: MISC 38a0000086 ADDR fef81a40
May 13 20:21:05 localhost mcelog: TIME 1463163664 Fri May 13 20:21:04 2016
May 13 20:21:05 localhost mcelog: MCG status:
May 13 20:21:05 localhost mcelog: MCi status:
May 13 20:21:05 localhost mcelog: Error overflow
May 13 20:21:05 localhost mcelog: Uncorrected error
May 13 20:21:05 localhost mcelog: MCi_MISC register valid
May 13 20:21:05 localhost mcelog: MCi_ADDR register valid
May 13 20:21:05 localhost mcelog: Processor context corrupt
May 13 20:21:05 localhost mcelog: MCA: corrected filtering (some unreported errors in same region)
May 13 20:21:05 localhost mcelog: Generic CACHE Level-2 Generic Error
May 13 20:21:05 localhost mcelog: STATUS ee0000000040110a MCGSTATUS 0
May 13 20:21:05 localhost mcelog: MCGCAP c07 APICID 0 SOCKETID 0
May 13 20:21:05 localhost mcelog: CPUID Vendor Intel Family 6 Model 69

Comment 21 Peter F. Patel-Schneider 2016-07-15 14:46:44 UTC
Still happening on 4.6.3-300.fc24.x86_64

Comment 22 Ritesh Raj Sarraf 2016-08-18 18:23:37 UTC
So we all have the same bug. And similar  (Intel) hardware. Even though it logs it as "Uncorrected error", nothing nasty has been reported by anyone so far, including me.

My machine:

Lenovo Yoga 2 13.
With: Realtek Wifi Card.

Hardware event. This is not a software error.
MCE 0
CPU 0 BANK 6 
MISC 38a0000086 ADDR fef81780 
TIME 1471502624 Thu Aug 18 12:13:44 2016
MCG status:
MCi status:
Uncorrected error
MCi_MISC register valid
MCi_ADDR register valid
Processor context corrupt
MCA: corrected filtering (some unreported errors in same region)
Generic CACHE Level-2 Generic Error
STATUS ae0000000040110a MCGSTATUS 0
MCGCAP c07 APICID 0 SOCKETID 0 
CPUID Vendor Intel Family 6 Model 69
Hardware event. This is not a software error.
MCE 0
CPU 0 BANK 6 
MISC 38a0000086 ADDR fef81780 
TIME 1471506843 Thu Aug 18 13:24:03 2016
MCG status:
MCi status:
Uncorrected error
MCi_MISC register valid
MCi_ADDR register valid
Processor context corrupt
MCA: corrected filtering (some unreported errors in same region)
Generic CACHE Level-2 Generic Error
STATUS ae0000000040110a MCGSTATUS 0
MCGCAP c07 APICID 0 SOCKETID 0 
CPUID Vendor Intel Family 6 Model 69



I did a search, again, today and am reporting on this bug report because I've had one report on debian-kernel list of a user, who is getting MCE Errors resulting in Machine Halt. Interestingly, the user did not have this issue with older kernel. I've asked him again if reverting back to old kernel avoids the bug.

In that case, it'll be another software bug camouflaged otherwise.

Comment 23 Laura Abbott 2016-09-23 19:49:50 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 24 Peter F. Patel-Schneider 2016-09-23 20:28:46 UTC
I just updated and it is still happening.  This is on Fedora 24, but I don't see how to update the version as this is not my bug.

Linux idefix.nuance.com 4.7.4-200.fc24.x86_64 #1 SMP Thu Sep 15 18:42:09 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


Sep 23 07:11:37 idefix mcelog: Generic CACHE Level-2 Generic Error
Sep 23 07:11:37 idefix mcelog: STATUS ae0000000040110a MCGSTATUS 0
Sep 23 07:11:37 idefix mcelog: MCGCAP c07 APICID 0 SOCKETID 0
Sep 23 07:11:37 idefix mcelog: CPUID Vendor Intel Family 6 Model 69
Sep 23 13:19:40 idefix mcelog: Hardware event. This is not a software error.
Sep 23 13:19:40 idefix mcelog: MCE 0
Sep 23 13:19:40 idefix mcelog: CPU 0 BANK 6
Sep 23 13:19:40 idefix mcelog: MISC 38a0000086 ADDR ffb03840
Sep 23 13:19:40 idefix mcelog: TIME 1474661978 Fri Sep 23 13:19:38 2016
Sep 23 13:19:40 idefix mcelog: MCG status:
Sep 23 13:19:40 idefix mcelog: MCi status:
Sep 23 13:19:40 idefix mcelog: Uncorrected error
Sep 23 13:19:40 idefix mcelog: MCi_MISC register valid
Sep 23 13:19:40 idefix mcelog: MCi_ADDR register valid
Sep 23 13:19:40 idefix mcelog: Processor context corrupt
Sep 23 13:19:40 idefix mcelog: MCA: corrected filtering (some unreported errors in same region)
Sep 23 13:19:40 idefix mcelog: Generic CACHE Level-2 Generic Error
Sep 23 13:19:40 idefix mcelog: STATUS ae0000000040110a MCGSTATUS 0
Sep 23 13:19:40 idefix mcelog: MCGCAP c07 APICID 0 SOCKETID 0
Sep 23 13:19:40 idefix mcelog: CPUID Vendor Intel Family 6 Model 69

Comment 25 D. Hugh Redelmeier 2016-10-02 04:14:44 UTC
I updated from Fedora 23 to 24 just to check for this bug.

It is still present.

Comment 26 Justin M. Forbes 2017-04-11 14:59:07 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 27 Justin M. Forbes 2017-04-28 17:22:16 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 28 D. Hugh Redelmeier 2017-05-07 15:04:21 UTC
This bug is still experienced with Fedora 25.

I just deleted over 200 ABRT reports of the bug, rebooted, and had two fresh ones.

I'm using 4.10.13-200.

Comment 29 Fedora End Of Life 2017-11-16 18:59:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 30 D. Hugh Redelmeier 2017-11-17 08:04:32 UTC
This still happens in Fedora 27

Comment 31 Soeren Grunewald 2018-01-04 12:35:40 UTC
Can confirm this too.

Comment 32 Monakhov Dmitriy 2018-01-12 17:07:42 UTC
Yep.. same shit on FC27 notebook-model: 20FQ003YRT

Random MCE errors, and resume after suspend always stuck.
BUT! this happens only in case of lagacy boot mode (aka BIOS)
After I've switched boot to UEFI mode and reinstalled fedora everying works fine (at least for now :) ) 
Probably this is Lenovo's firmware bug. Most people not see is simply because they use UEFY, probably legacy boot was not tested at all. 
So guys try to switch to UEFI mode.

Comment 33 Laura Abbott 2018-02-20 20:01:35 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 34 D. Hugh Redelmeier 2018-02-21 19:28:44 UTC
The bug still shows up in 4.15.3-300.fc27.x86_64.
In fact, it seems to show up during normal booting in addition to during wakeup.

Comment 35 Tomáš Stefan 2018-04-30 18:52:14 UTC
It was happening for me on Fedora 27, after update to F28 still the same problem.

$ uname -r
4.16.4-300.fc28.x86_64

As someone else previously mentioned, I also have Intel Wireless 7260.
$ lspci |fgrep -i wireless
02:00.0 Network controller: Intel Corporation Wireless 7260 (rev 83)

My computer is Lenovo Ideapad Y50-70.

$ systemctl status mcelog
● mcelog.service - Machine Check Exception Logging Daemon
   Loaded: loaded (/usr/lib/systemd/system/mcelog.service; enabled; vendor preset: enabled)
   Active: active (running) since Sun 2018-04-29 18:48:11 CEST; 1 day 1h ago
 Main PID: 1185 (mcelog)
    Tasks: 1 (limit: 4915)
   Memory: 500.0K
   CGroup: /system.slice/mcelog.service
           └─1185 /usr/sbin/mcelog --ignorenodev --daemon --foreground

dub 30 16:56:18 arrow mcelog[1185]: MCi_MISC register valid
dub 30 16:56:18 arrow mcelog[1185]: MCi_ADDR register valid
dub 30 16:56:18 arrow mcelog[1185]: Processor context corrupt
dub 30 16:56:18 arrow mcelog[1185]: MCA: corrected filtering (some unreported errors in same region)
dub 30 16:56:18 arrow mcelog[1185]: Generic CACHE Level-2 Generic Error
dub 30 16:56:18 arrow mcelog[1185]: STATUS ee0000000040110a MCGSTATUS 0
dub 30 16:56:18 arrow mcelog[1185]: MCGCAP c09 APICID 0 SOCKETID 0
dub 30 16:56:18 arrow mcelog[1185]: CPUID Vendor Intel Family 6 Model 60
dub 30 16:56:18 arrow mcelog[1185]: mcelog: warning: 8 bytes ignored in each record
dub 30 16:56:18 arrow mcelog[1185]: mcelog: consider an update

$ journalctl -b -u mcelog
https://paste.fedoraproject.org/paste/Qrt9h32SsYJDIcB0VY0N0w

One more additional problem that may or may not be related. When I wake the computer from suspend state, the network is acting weirdly (testing multiple times, everytime the same result). The ethernet stops working completely and cannot be detected, the wireless connection works over IPv4 but stops working on IPv6. Restarting NetworkManager doesn't help. Running ifdown/ifup scripts on the ethernet device doesn't help - the ifup script fails.

I debugged the behaviour of the ifup script, it runs OK until calling:
+ nmcli con up uuid <hidden by author>
Error: Connection activation failed: No suitable device found for this connection.

Running "nmcli con up" manually on the ethernet device produces same error message. Restarting the computer solves these network issues.

Comment 36 D. Hugh Redelmeier 2018-05-02 00:57:33 UTC
In the Yoga 2 Pro's firmware ("BIOS") setup screen, under "boot" tab, I disabled "Lenovo fast boot".  In the several times that I've had my machine boot or awaken, no machine checks!

As I understand it, "fast boot" causes the firmware to initialize a fewer things before booting the OS.

Since fast boot and slow boot seem to take about the same time, this work-around isn't much of a burden.

Comment 37 D. Hugh Redelmeier 2018-05-02 01:17:40 UTC
Darn.  I spoke too soon.  I got another machine check on a resume.

Comment 38 Justin M. Forbes 2018-07-23 15:28:42 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 39 Justin M. Forbes 2018-08-29 15:19:58 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 40 D. Hugh Redelmeier 2018-08-29 17:50:37 UTC
this still happens in Fedora 28

Comment 41 Laura Abbott 2018-10-01 21:33:34 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 42 Łukasz Faber 2018-10-02 11:39:35 UTC
Still happens on 4.18.10.

Comment 43 D. Hugh Redelmeier 2018-10-04 17:24:49 UTC
this still happens with kernel 4.18.10-200.fc28.  I know that's not -300, but it is the latest that "sudo dnf update" gets me.

Comment 44 Jan Rybar 2018-10-31 18:01:10 UTC
Happens on every Fedora I tried since 23 (latest F28), but does not happen on Ubuntu (last on Kubuntu 18.04).
Laptop Lenovo IdeaPad U430p, Intel Core i5 4200U.

Comment 45 Justin M. Forbes 2019-01-29 16:27:01 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 46 D. Hugh Redelmeier 2019-01-30 16:13:52 UTC
I just tested on Fedora 29 with kernel 4.20.4 -20.fc29.x86_64

The Yoga 2 pro now seems to always or at least frequently get the machine check on boot.

I tested a couple of short sleeps and did not get the machine check.  I would guess that it happens sometimes.

Comment 47 Jan Rybar 2019-06-17 18:44:50 UTC
Still an issue on Fedora 30 fresh install and also after update (kernel-5.1.8-300).

Lenovo Ideapad U430p, i5 4200U CPU, GeForce 730M

Comment 48 Jan Rybar 2019-06-19 17:16:05 UTC
(In reply to Monakhov Dmitriy from comment #32)
> Yep.. same shit on FC27 notebook-model: 20FQ003YRT
> 
> Random MCE errors, and resume after suspend always stuck.
> BUT! this happens only in case of lagacy boot mode (aka BIOS)
> After I've switched boot to UEFI mode and reinstalled fedora everying works
> fine (at least for now :) ) 
> Probably this is Lenovo's firmware bug. Most people not see is simply
> because they use UEFY, probably legacy boot was not tested at all. 
> So guys try to switch to UEFI mode.

Tried. Didn't change a thing. Thanks for the tip anyway ;)

Comment 49 Justin M. Forbes 2019-08-20 17:42:31 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 50 D. Hugh Redelmeier 2019-08-21 02:20:54 UTC
I just tested with kernel 5.2.8-200.fc30x86_64.

- the problem persists

- dnf update does not get me 5.2.9-200 so I did not test with it

- Fedora 31 is not available so I haven't tested with it


Note You need to log in before you can comment on or make changes to this bug.